Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistently indicate case sensitivity

From: Stefan Monnier <[email-masked]>
Date: Fri, 30 Nov 2012 09:19:11 -0500

>> I-search(NC) -- case-insensitive ("no-case")
>> I-search(CS) -- case-sensitive
>> I-search(CS,WS) -- and lax whitespace
>> I-search(CS,WS,RX) -- and regexp
> I think that would be fine, though full strings (like "case",
> "strict-space") might be better than cryptic acryonyms.

In an earlier thread I suggested "Isearch/w/c" where the letters would
match the keys used to enable/select those options.

> I'd like to mention that a bad consequence of this approach is that
> the prompt string would have a variable length, so that the search
> string would not be shown in a stable position, making harder for the
> user to concentrate on it.

We're talking about switches which usually are not changed during
the search.

        Stefan